Subject: Re: bug#46881: 28.0.50; pdumper dumping causes way too many syscalls

From: Andrea Corallo <[email-masked]>
Date: Fri, 05 Mar 2021 10:23:45 +0000

Pip Cet <[email-masked]> writes:

[...]

> By preparing the data in memory and writing it in one go, which
> doesn't require any of the major complications of implementing
> buffered streams.

Preparing data in memory might also be seen as a small step in the
direction of having pdumper as a generic de/serializer.  IMO would be
helpful for a number of tasks (native compiler included).

  Andrea